/* User styles */

@media screen and (min-width: 911px) {
    .ant-carousel {
        max-width: 810px;
    }
}

@media screen and (min-width: 1280px) {
    .ant-carousel {
        max-width: 1100px;
    }
}

@media screen and (min-width: 1580px) {
    .ant-carousel {
        max-width: 1370px;
    }
}

@media screen and (min-width: 641px) and (max-width: 910px) {
    .ant-carousel {
        max-width: 540px;
    }
}

@media screen and (max-width: 640px) {
    .ant-carousel {
        max-width: 270px;
    }
}

.ant-carousel {
    margin: 20px auto auto;
    padding-top: 10px;
    /*border: 1px solid #ccd;*/
    /*background-color: white;*/
}

.ant-carousel-element {
    width: 270px;
    text-align: center;
}

/* General styles */
.ant-carousel {
    width: auto;
    position: relative;
}

.ant-carousel-hider {
    overflow: hidden;
}

.ant-carousel-list {
    width: auto;
    margin: 0;
    padding: 0;
    list-style-type: none !important;
    display: flex;
    justify-content: flex-start;
}
.ant-carousel-list li:before {
    background: white !important;
}

.ant-carousel-element {
    display: block;
    flex: 0 0 auto;
}

/* Navigation item styles */
div.ant-carousel-arrow-left,
div.ant-carousel-arrow-right {
    width: 22px;
    height: 40px;
    position: absolute;
    cursor: pointer;
    opacity: 0.6;
    z-index: 32;
}

div.ant-carousel-arrow-left {
    left: -40px;
    top: 40%;
    display: block;
    background: url("/bitrix/images/icons/ant-arrow-left.png") no-repeat;
}

div.ant-carousel-arrow-right {
    right: -40px;
    top: 40%;
    display: block;
    background: url("/bitrix/images/icons/ant-arrow-right.png") no-repeat;
}

div.ant-carousel-arrow-left:hover {
    opacity: 1.0;
}

div.ant-carousel-arrow-right:hover {
    opacity: 1.0;
}

div.ant-carousel-dots {
    width: 100%;
    height: auto;
    position: absolute;
    left: 0;
    bottom: -30px;
    z-index: 30;
    text-align: center;
}

span.ant-dot {
    width: 10px;
    height: 10px;
    margin: 5px 7px;
    padding: 0;
    display: inline-block;
    background-color: #BBB;
    border-radius: 5px;
    cursor: pointer;
}